Skip to content

Authentication API

SSO APIs are service call APIs; before calling them, you need to call the authentication API.

Request Description

POST https://{your_domain}/api/v2/tenant/token

Request Headers

Parameter NameNameRequiredTypeExample
content-typeContent format typeYesStringapplication/x-www-form-urlencoded

Request Example

https://{your_domain}/api/v2/tenant/token?grant_type=client_credentials&client_id={client_id}&client_secret=

Request Parameters

Parameter NameNameRequiredTypeDescription
grant_typeAuthorization typeYesStringFixed value: client_credentials
client_idApplication IDYesString
client_secretApplication secretYesString

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "access_token": "-DIkzM8nF9P7Bcmd-SQrQSa-IbZ8Lpc-IWBseupOeeO0bXhhbbkdm7QERICxyxnkRl",
    "token_type": "Bearer",
    "expires_in": 1719,
    "scope": "all",
    "id_token": "eyJraWQiOiJrMSIs.eyJQwWVz_YCkkp9QOrwNYo.ELddR0qhM2jyVUQXgNupYWNtS"
}

Response Parameters

Parameter NameNameTypeDescription
access_tokenToken for calling APIsStringWhen calling other SSO APIs, this value needs to be placed in the request header
token_typeToken typeString
expires_inExpiration timeNumber
scopeScope
id_tokenGenerated id_tokenString

BambooCloud IDaaS Open Platform